diff --git a/old/html/multidic/app/webroot/administration/edit_word.php b/old/html/multidic/app/webroot/administration/edit_word.php
index 7e7e5da..511b691 100644
--- a/old/html/multidic/app/webroot/administration/edit_word.php
+++ b/old/html/multidic/app/webroot/administration/edit_word.php
@@ -412,23 +412,23 @@ if($vypis_edit){
         <td>
                 <input type="text" name="root"  size="50" class="akkad" 
                        onfocus="aktivujKlavesnici('edit_word_form.root')"
-                       value="<?php echo $root?>" /></td>
+                       value="<?php echo @$_REQUEST['root']?>" /></td>
       </tr>
       <tr class="akt">
-        <td>rod ('f'/'m' nebo prázdné) now: <?php echo $gender ?></td>
+        <td>rod ('f'/'m' nebo prázdné) now: <?php echo @$_REQUEST['gender'] ?></td>
         <td>
-        <?php if($language == 2): ?>
+        <?php if(@$_REQUEST['language'] == 2): ?>
             <select name="gender">
 		
-	        <option <?php echo (empty($gender))? 'selected="selected" ' : ""?>value=""> </option>
-                <option <?php echo (trim($gender) === "'ז")? 'selected="selected" ' : ""?>value="'ז">      'ז    </option>
-                <option <?php echo (trim($gender) === "'נ")? 'selected="selected" ' : ""?>value="'נ">  'נ </option>
-		<option <?php echo (trim($gender) === "'ז'+נ")? 'selected="selected" ' : ""?>value="'ז'+נ">  'ז'+נ </option>
+	        <option <?php echo (empty(@$_REQUEST['gender']))? 'selected="selected" ' : ""?>value=""> </option>
+                <option <?php echo (trim(@$_REQUEST['gender']) === "'ז")? 'selected="selected" ' : ""?>value="'ז">      'ז    </option>
+                <option <?php echo (trim(@$_REQUEST['gender']) === "'נ")? 'selected="selected" ' : ""?>value="'נ">  'נ </option>
+		<option <?php echo (trim(@$_REQUEST['gender']) === "'ז'+נ")? 'selected="selected" ' : ""?>value="'ז'+נ">  'ז'+נ </option>
             </select>
         <?php else: ?>
             <input type="text" name="gender"  size="1" class="akkad" 
                        onfocus="aktivujKlavesnici('edit_word_form.gender')"
-                       value="<?php echo trim($gender)?>" />
+                       value="<?php echo trim(@$_REQUEST['gender'])?>" />
         <?php endif;?>
                 </td>
       </tr>
@@ -440,15 +440,15 @@ if($vypis_edit){
       </tr>
       <tr class="akt">
         <td>lekce*</td>
-        <td><input type="text" name="lection"  size="50" value="<?php echo $lection; ?>" /></td>
+        <td><input type="text" name="lection"  size="50" value="<?php echo @$_REQUEST['lection']; ?>" /></td>
       </tr>
       <tr class="nadpis_sekce">
         <td>
           <input type="hidden" name="action" value="edit_word">
-          <input type="hidden" name="word_id" value="<?php echo $word_id?>">
-          <input type="hidden" name="nonauthorized" value="<?php echo (($nonauthorized) ? "true" : "");?>">
-          <input type="hidden" name="contrains_source" value="<?php echo $contrains_source?>">
-          <input type="hidden" name="contrains_lection" value="<?php echo $contrains_lection?>">
+          <input type="hidden" name="word_id" value="<?php echo @$_REQUEST['word_id']?>">
+          <input type="hidden" name="nonauthorized" value="<?php echo ((@$_REQUEST['$nonauthorized']) ? "true" : "");?>">
+          <input type="hidden" name="contrains_source" value="<?php echo @$_REQUEST['contrains_source']?>">
+          <input type="hidden" name="contrains_lection" value="<?php echo @$_REQUEST['contrains_lection']?>">
         </td>
         <td><input type="submit" value="Uprav"></td>
       </tr>
diff --git a/old/html/multidic/app/webroot/administration/field.php b/old/html/multidic/app/webroot/administration/field.php
index 6163346..b8b53bd 100644
--- a/old/html/multidic/app/webroot/administration/field.php
+++ b/old/html/multidic/app/webroot/administration/field.php
@@ -11,7 +11,7 @@
  
 //NOVE2504
 function get_row_of_table($Record, $od = 1, $do = 2) {
-  $navrat .= "<tr class=\"akt\">\n     ";
+  $navrat = "<tr class=\"akt\">\n     ";
   $navrat .= '<td><input type="checkbox" name="smaz['.$Record[0].']" /></td>';
   $navrat .= '<td><a href="?nav_id=edit_field&field_id='.$Record[0].'">uprav</a></td>';
   for($j=$od;$j<$do;$j++) {
diff --git a/old/html/multidic/app/webroot/administration/link_context.php b/old/html/multidic/app/webroot/administration/link_context.php
index 4e34c5b..0a598f7 100644
--- a/old/html/multidic/app/webroot/administration/link_context.php
+++ b/old/html/multidic/app/webroot/administration/link_context.php
@@ -2,8 +2,8 @@
 require_once("./administration/context.php");
 
 
-if (!Empty($action) && $action == "link_context") {
-  link_context($context, $word_id);
+if (!Empty(@$_REQUEST['action']) && @$_REQUEST['action'] == "link_context") {
+  link_context(@$_REQUEST['context'], @$_REQUEST['word_id']);
   
 }
 else {
@@ -16,17 +16,17 @@ else {
       <tr class="akt">
         <td>Vyberte kontext*</td>
         <td>
-          <?php  $povol = print_context_chooser($source_id); ?>
+          <?php  @$_REQUEST['povol'] = print_context_chooser(@$_REQUEST['source_id']); ?>
         </td>
       </tr>
       <tr class="nadpis_sekce">
         <td>
           <input type="hidden" name="action" value="link_context" />
-          <input type="hidden" name="word_id" value="<?php echo $word_id?>" />
-          <input type="hidden" name="source" value="<?php echo $source_id?>" />
-          <input type="hidden" name="language" value="<?php echo $language?>" />
+          <input type="hidden" name="word_id" value="<?php echo @$_REQUEST['word_id']?>" />
+          <input type="hidden" name="source" value="<?php echo @$_REQUEST['source_id']?>" />
+          <input type="hidden" name="language" value="<?php echo @$_REQUEST['language']?>" />
           <?php 
-          if ($povol) echo'<input type="submit" value="Připoj" />';
+          if (@$_REQUEST['povol']) echo'<input type="submit" value="Připoj" />';
           ?>
         </td>
         <td>&nbsp;</td>
diff --git a/old/html/multidic/app/webroot/administration/list_duplicity.php b/old/html/multidic/app/webroot/administration/list_duplicity.php
index 7297d9f..169109e 100644
--- a/old/html/multidic/app/webroot/administration/list_duplicity.php
+++ b/old/html/multidic/app/webroot/administration/list_duplicity.php
@@ -2,8 +2,8 @@
 
 require_once("./administration/duplicity.php");
 
-if (!Empty($serad)) {
-    print_table_of_duplicity($order, $od, $limit);
+if (!Empty(@$_REQUEST['serad'])) {
+    print_table_of_duplicity(@$_REQUEST['order'], @$_REQUEST['od'], @$_REQUEST['limit']);
 }
 else {
   print_table_of_duplicity();
diff --git a/old/html/multidic/app/webroot/administration/list_field.php b/old/html/multidic/app/webroot/administration/list_field.php
index cb83fb8..b5e89e1 100644
--- a/old/html/multidic/app/webroot/administration/list_field.php
+++ b/old/html/multidic/app/webroot/administration/list_field.php
@@ -1,7 +1,7 @@
 <?php
 require_once("./administration/field.php");
 
-$action = $_REQUEST['action'];
+$action = @$_REQUEST['action'];
 
 if (!Empty($action) && $action == "delete_field") {
   $coun_true = 0;
diff --git a/old/html/multidic/app/webroot/administration/list_word.php b/old/html/multidic/app/webroot/administration/list_word.php
index 75d62cc..35c8074 100644
--- a/old/html/multidic/app/webroot/administration/list_word.php
+++ b/old/html/multidic/app/webroot/administration/list_word.php
@@ -2,55 +2,56 @@
 
 require_once("./administration/word.php");
 
-if (Empty($language)) :
+if (Empty(@$_REQUEST['language'])) :
 
-if (!Empty($contrains_user_id))
-  $pomocna = "&contrains_user_id=$contrains_user_id";
+if (!Empty(@$_REQUEST['contrains_user_id'])){
+    $userid = $_REQUEST['contrains_user_id'];
+  $pomocna = "&contrains_user_id=@$userid";}
 else
   $pomocna = "";
 
 ?>
   <p>Vyberte slovník:</p>
   <p>
-    <a href="?nav_id=<?php echo $nav_id?>&language=1<?php echo $pomocna?>">arabský</a><br />
-    <a href="?nav_id=<?php echo $nav_id?>&language=2<?php echo $pomocna?>">hebrejský</a><br />
-    <a href="?nav_id=<?php echo $nav_id?>&language=3<?php echo $pomocna?>">akkadský</a><br /><br />
+    <a href="?nav_id=<?php echo @$_REQUEST['nav_id']?>&language=1<?php echo $pomocna?>">arabský</a><br />
+    <a href="?nav_id=<?php echo @$_REQUEST['nav_id']?>&language=2<?php echo $pomocna?>">hebrejský</a><br />
+    <a href="?nav_id=<?php echo @$_REQUEST['nav_id']?>&language=3<?php echo $pomocna?>">akkadský</a><br /><br />
 
-    <a href="?nav_id=<?php echo $nav_id?>&language=all&contrains_source=all&contrains_lection=all<?php echo $pomocna?>">všechny</a>
+    <a href="?nav_id=<?php echo @$_REQUEST['nav_id']?>&language=all&contrains_source=all&contrains_lection=all<?php echo $pomocna?>">všechny</a>
   </p>
 <?php
 
-elseif ($language != "all" && Empty($contrains_source)):
+elseif (@$_REQUEST['language'] != "all" && Empty(@$_REQUEST['contrains_source'])):
 ?>
   <p>Vyberte zdroj:</p>
   <p><form method="post">
 
      <?php
-echo get_source_chooser($language, "contrains_source");
+echo get_source_chooser(@$_REQUEST['language'], "contrains_source");
 ?>
      <input type="submit" value="Dál" />
      </form>
-   <br /> <a href="?nav_id=<?php echo $nav_id?>&language=<?php echo $language?>&contrains_source=all&contrains_lection=all">všechny</a>
+   <br /> <a href="?nav_id=<?php echo @$_REQUEST['nav_id']?>&language=<?php echo @$_REQUEST['language']?>&contrains_source=all&contrains_lection=all">všechny</a>
   </p>
 <?php
-elseif ($language != "all" && $contrains_source != "all" && Empty($contrains_lection)):
+elseif (@$_REQUEST['language'] != "all" && @$_REQUEST['contrains_source'] != "all" && Empty(@$_REQUEST['contrains_lection'])):
 ?>
   <p>Vyberte lekci:</p>
   <p><form method="post">
 
      <?php
-echo get_lection_chooser($contrains_source, 1, "contrains_lection");
+echo get_lection_chooser(@$_REQUEST['contrains_source'], 1, "contrains_lection");
 ?>
      <input type="submit" value="Dál" />
-     <input type="hidden" name="contrains_source" value="<?php echo $contrains_source?>" title="Dál" />
+     <input type="hidden" name="contrains_source" value="<?php echo @$_REQUEST['contrains_source']?>" title="Dál" />
      </form>
-   <br /> <a href="?nav_id=<?php echo $nav_id?>&language=<?php echo $language?>&contrains_source=<?php echo $contrains_source?>&contrains_lection=all">všechny</a>
+   <br /> <a href="?nav_id=<?php echo @$_REQUEST['nav_id']?>&language=<?php echo @$_REQUEST['language']?>&contrains_source=<?php echo @$_REQUEST['contrains_source']?>&contrains_lection=all">všechny</a>
   </p>
 <?php
 else :
 //obsluha mazani slovicek
-if (!Empty($action) && $action == "delete_word") {
-  if (delete_word($word_id))
+if (!Empty(@$_REQUEST['action']) && @$_REQUEST['action'] == "delete_word") {
+  if (delete_word(@$_REQUEST['word_id']))
     print_hlasku("Slovíčko smazáno.");
   else
     print_hlasku("Slovíčko se nepodařilo smazat");
@@ -72,44 +73,44 @@ if (!Empty($action) && $action == "delete_word") {
 }
 
 //obsluha mazani kontextu
-if (!Empty($nav_id) && $nav_id == "delete_context") {
+if (!Empty(@$_REQUEST['nav_id']) && @$_REQUEST['nav_id'] == "delete_context") {
   require_once("./administration/context.php");
 
-  if (delete_context($context_id, $word_id))
+  if (delete_context(@$_REQUEST['context_id'], @$_REQUEST['word_id']))
     print_hlasku("Kontext smazán.");
   else
     print_hlasku("Bohužel, kontext se nepodařilo smazat.");
 }
 
-if (!Empty($action) && $action == "sort_direct") {
-  set_sorting_value($word_id, $sorting_no);
+if (!Empty(@$_REQUEST['action']) && @$_REQUEST['action'] == "sort_direct") {
+  set_sorting_value(@$_REQUEST['word_id'], @$_REQUEST['sorting_no']);
 }
 //obsluha zmeny raditka
-if (!Empty($action) && $action == "sort_word") {
-  sort_word($word_id, $dir);
+if (!Empty(@$_REQUEST['action']) && @$_REQUEST['action'] == "sort_word") {
+  sort_word(@$_REQUEST['word_id'], @$_REQUEST['dir']);
 }
 
 //obsluha autorizace slovicka
-if (!Empty($nav_id) && $nav_id == "authorize_word") {
+if (!Empty(@$_REQUEST['nav_id']) && @$_REQUEST['nav_id'] == "authorize_word") {
 
-  if (authorize_word($word_id))
+  if (authorize_word(@$_REQUEST['word_id']))
     print_hlasku("Slovíčko autorizováno.");
   else
     print_hlasku("Bohužel, slovo se nepodařilo autorizovat.");
 }
 //dulezita pojistka
-if (Empty($contrains_user_id)) $contrains_user_id = "all";
+if (Empty(@$_REQUEST['contrains_user_id'])) @$_REQUEST['contrains_user_id'] = "all";
 
-if ($nav_id == "list_word") $pomocna = false;
-else if ($nav_id == "list_nonauthorized_word") $pomocna = true;
-else  $pomocna = ($nonauthorized == true);
+if (@$_REQUEST['nav_id'] == "list_word") $pomocna = false;
+else if (@$_REQUEST['nav_id'] == "list_nonauthorized_word") $pomocna = true;
+else  $pomocna = (@$_REQUEST['nonauthorized'] == true);
 
 //vypis
 if (!Empty($serad)) {
-    print_all_in_dict(false, $language, $contrains_source, $contrains_lection, $pomocna, $contrains_user_id, $order, $od, $limit);
+    print_all_in_dict(false, @$_REQUEST['language'], @$_REQUEST['contrains_source'], @$_REQUEST['contrains_lection'], $pomocna, @$_REQUEST['contrains_user_id'], @$_REQUEST['order'], @$_REQUEST['od'], @$_REQUEST['limit']);
 }
 else {
-  print_all_in_dict(false, $language, $contrains_source, $contrains_lection, $pomocna, $contrains_user_id);
+  print_all_in_dict(false, @$_REQUEST['language'], @$_REQUEST['contrains_source'], @$_REQUEST['contrains_lection'], $pomocna, @$_REQUEST['contrains_user_id']);
 }
 
 endif;
diff --git a/old/html/multidic/app/webroot/administration/not_found.php b/old/html/multidic/app/webroot/administration/not_found.php
index db2ba7e..07db008 100644
--- a/old/html/multidic/app/webroot/administration/not_found.php
+++ b/old/html/multidic/app/webroot/administration/not_found.php
@@ -10,7 +10,7 @@ require_once("./functions/dictionary.php");
  
 //NOVE2504 
 function get_row_of_table_not_found($table, $Record, $od = 1, $do = 2) {
-  $navrat .= "<tr class=\"akt\">\n     ";
+  $navrat = "<tr class=\"akt\">\n     ";
   $navrat .= '<td><input type="checkbox" name="smaz['.$Record["ID$table"].']" /></td>'.
              '<td><a href="?nav_id=add_word&language=1&delete_from_not_found=true&';
   switch($table) {
@@ -156,13 +156,13 @@ function get_not_found($not_found_id) {
   $spojeni = new DB_Sql();
   $dotaz = "SELECT * 
               FROM not_found nf, language lan 
-              WHERE nf.\"IDnot_found\" LIKE '$not_found_id' 
-                AND nf.language = lan.\"IDlanguage\"";
+              WHERE nf.IDnot_found LIKE '$not_found_id' 
+                AND nf.language = lan.IDlanguage";
   $radky = $spojeni->query($dotaz);
 
   $spojeni->next_record();
   
-  return $spojeni->Record;
+  return $spojeni->row;
 }
 
 
diff --git a/old/html/multidic/app/webroot/administration/test_category.php b/old/html/multidic/app/webroot/administration/test_category.php
index e28618e..770e3af 100644
--- a/old/html/multidic/app/webroot/administration/test_category.php
+++ b/old/html/multidic/app/webroot/administration/test_category.php
@@ -12,7 +12,7 @@
  
 //NOVE2504
 function get_row_of_table($Record, $od = 0, $do = 4) {
-  $navrat .= "<tr class=\"akt\">\n     ";
+  $navrat = "<tr class=\"akt\">\n     ";
   $navrat .= '<td><input type="checkbox" name="smaz['.$Record[0].']" /></td>';
   $navrat .= '<td><a href="?nav_id=edit_test_category&test_category_id='.$Record[0].'">uprav</a></td>';
   for($j=$od;$j<$do;$j++) {
diff --git a/old/html/multidic/app/webroot/administration/word.php b/old/html/multidic/app/webroot/administration/word.php
index 5f2caa0..cd96cd1 100644
--- a/old/html/multidic/app/webroot/administration/word.php
+++ b/old/html/multidic/app/webroot/administration/word.php
@@ -3,7 +3,7 @@ require_once("./functions/dictionary.php");
 
 //NOVE2504
 function get_header_of_table($print_version) {
-  $navrat .= "\n  <tr class=\"nadpis_sekce\">";
+  $navrat = "\n  <tr class=\"nadpis_sekce\">";
   if(!$print_version) $navrat .= "<td>&nbsp;</td>";
   if(!$print_version) $navrat .= "<td>&nbsp;&nbsp;řadítko&nbsp;&nbsp;</td>";
   if(!$print_version) $navrat .= "<td>&nbsp;</td>";
@@ -26,17 +26,17 @@ function get_header_of_table($print_version) {
 }
 
 function get_row_of_table($print_version, $Record, $nonauthorized = false, $contrains_user_id = "all") {
-  global $language;
-  global $order;
-  global $od;
-  global $limit;
-  global $contrains_source;
-  global $contrains_lection;
+  $language = @$_REQUEST['language'];
+  $order=@$_REQUEST['order'];
+  $od=@$_REQUEST['od'];
+  $limit=@$_REQUEST['limit'];
+  $contrains_source=@$_REQUEST['contrains_source'];
+  $contrains_lection=@$_REQUEST['contrains_lection'];
   
   $nav_str = "language=$language&contrains_user_id=$contrains_user_id&contrains_source=$contrains_source&contrains_lection=$contrains_lection";
   if ($nonauthorized) $nav_str .= '&nonauthorized=true';
   
-  $navrat .= "  <tr class=\"akt\">\n";
+  $navrat = "  <tr class=\"akt\">\n";
   if (!$print_version) {
     $navrat .= '    <td>
                   <a href="?nav_id=list_';
@@ -138,7 +138,7 @@ function get_razeni($l_order = "sorting_no",
                     $contrains_source = "all", 
                     $contrains_lection = "all") {
  
-  global $language;
+  $language = @$_REQUEST['language'];
   
   global $order;
   global $od;
@@ -212,10 +212,10 @@ function get_razeni($l_order = "sorting_no",
 }
 
 function get_pocet_slov($nonauthorized, $contrains_user_id, $contrains_source, $contrains_lection) {
-  global $language;
+  $language = $_REQUEST['language'];
   require_once("./classes/db.php");
   $spojeni = new DB_Sql();
-  $dotaz = "SELECT \"IDdict\" FROM dict ";
+  $dotaz = "SELECT IDdict FROM dict ";
   if ($nonauthorized)
     $dotaz .= " WHERE NOT autorized = 1 ";
   else
@@ -236,7 +236,7 @@ function get_pocet_slov($nonauthorized, $contrains_user_id, $contrains_source, $
 
 //NOVE2504
 function get_foot_of_table($print_version) {
-  $navrat .= "<tr class=\"nadpis_sekce\">";
+  $navrat = "<tr class=\"nadpis_sekce\">";
   if (!$print_version) $navrat .= "<td><!--input type=\"submit\" name=\"delete_submit\" value=\"Smaž\"--></td>";
   if (!$print_version) $navrat .= "<td></td>";
   if (!$print_version) $navrat .= "<td></td>";
@@ -267,7 +267,7 @@ function get_foot_of_table($print_version) {
 function print_all_in_dict($print_version = false, $language = "all", $contrains_source = "all", $contrains_lection = "all",
                            $nonauthorized = false, $contrains_user_id = "all", $order = "sorting_no", 
                            $od = 0, $limit = 30 ) {
-                          
+
   require_once("./classes/db.php");
   $spojeni = new DB_Sql();
   if (!$print_version) {
@@ -307,12 +307,12 @@ function print_all_in_dict($print_version = false, $language = "all", $contrains
   if ($contrains_user_id != "all")
     $dotaz .= " AND usr = $contrains_user_id ";  
 
-  $dotaz .= " ORDER BY \"$order\" OFFSET $od LIMIT $limit ";
+  $dotaz .= " ORDER BY $order LIMIT $limit OFFSET $od";
   $spojeni->query($dotaz);
   //print_r($dotaz);
 
   while ($spojeni->next_record()) {
-    $navrat .= get_row_of_table($print_version, $spojeni->Record, $nonauthorized, $contrains_user_id);
+    $navrat .= get_row_of_table($print_version, $spojeni->row, $nonauthorized, $contrains_user_id);
   }
   $navrat .= get_foot_of_table($print_version);
   $navrat .= '<!--input type="hidden" name="action" value="delete_word">';
@@ -325,7 +325,7 @@ function authorize_word($ID) {
   require_once("./classes/db.php");
   $spojeni = new DB_Sql();
   $dotaz = "UPDATE dict SET autorized = 1
-                        WHERE \"IDdict\" = '$ID'";
+                        WHERE IDdict = '$ID'";
   $spojeni->query($dotaz);
   if ($spojeni->connection->errno != 0) {
     return false;
@@ -336,7 +336,7 @@ function authorize_word($ID) {
 function delete_word($ID) {
   require_once("./classes/db.php");
   $spojeni = new DB_Sql();
-  $dotaz = "DELETE FROM dict WHERE \"IDdict\" = '$ID'";
+  $dotaz = "DELETE FROM dict WHERE IDdict = '$ID'";
   $spojeni->query($dotaz);
   if ($spojeni->connection->errno != 0) {
     return false;
diff --git a/old/html/multidic/app/webroot/classes/db.php b/old/html/multidic/app/webroot/classes/db.php
index ad088f2..05adc71 100644
--- a/old/html/multidic/app/webroot/classes/db.php
+++ b/old/html/multidic/app/webroot/classes/db.php
@@ -13,7 +13,7 @@ class DB_Sql
     var $Host = "Filek.cz";
     var $Database = "aswi-dictionary";
     var $User = "dbowner";
-    var $Password = "db486ex12";
+    var $Password = "";
 
     /** @var mysqli_result */
     var $result = null;
diff --git a/old/html/multidic/app/webroot/functions/dictionary.php b/old/html/multidic/app/webroot/functions/dictionary.php
index b00e5e4..c432fdc 100644
--- a/old/html/multidic/app/webroot/functions/dictionary.php
+++ b/old/html/multidic/app/webroot/functions/dictionary.php
@@ -227,7 +227,7 @@ function insert_picture($class = "obrazek")
         $anglicky = $obrazek["english"];
         $arabsky = $obrazek["orig"];
 
-        $navrat .= "
+        $navrat = "
 <div id=\"$class\">
   <table>
     <tr>
@@ -263,10 +263,10 @@ function print_context_chooser($source_id)
     } else {
         $navrat = "<select name=\"context\" size=\"6\">";
         while ($spojeni->next_record()) {
-            $navrat .= "  <option value=\"" . $spojeni->Record["IDcontext"] . "\">  " .
-                $spojeni->Record[cz_context] . " - " .
-                $spojeni->Record[en_context] . " - " .
-                $spojeni->Record[orig_context] .
+            $navrat .= "  <option value=\"" . $spojeni->row["IDcontext"] . "\">  " .
+                $spojeni->row[cz_context] . " - " .
+                $spojeni->row[en_context] . " - " .
+                $spojeni->row[orig_context] .
                 "  </option>\n";
         }
         $navrat .= '</select>';
@@ -282,7 +282,7 @@ function get_translation_chooser()
     $spojeni = new DB_Sql();
     $dotaz = "SELECT * FROM translation_lang";
     $result = $spojeni->query($dotaz);
-    $navrat .= '<select name="translation_lang_id" size="4">';
+    $navrat = '<select name="translation_lang_id" size="4">';
     foreach ($result as $radka) {
         $navrat .= "  <option value=\"" . $radka["code"] . "\">  " . $radka["name"] . "  </option>";
     }
@@ -298,7 +298,7 @@ function get_field_chooser()
     $radky = $spojeni->query($dotaz);
     $navrat = "<select name=\"field\" size=\"1\">";
     while ($spojeni->next_record()) {
-        $navrat .= "  <option value=\"" . $spojeni->Record[0] . "\">  " . $spojeni->Record[1] . "  </option>";
+        $navrat .= "  <option value=\"" . $spojeni->row[0] . "\">  " . $spojeni->row[1] . "  </option>";
     }
     $navrat .= '</select>';
     return $navrat;
@@ -355,8 +355,8 @@ function get_author_chooser()
     $radky = $spojeni->query($dotaz);
     $navrat = "<select name=\"author_id\" size=\"1\">\n";
     while ($spojeni->next_record()) {
-        $navrat .= "  <option value=\"" . $spojeni->Record[0] . "\">  " .
-            $spojeni->Record[1] . " " . $spojeni->Record[2] . "  </option>\n";
+        $navrat .= "  <option value=\"" . $spojeni->row[0] . "\">  " .
+            $spojeni->row[1] . " " . $spojeni->row[2] . "  </option>\n";
     }
     $navrat .= "</select>\n";
     return $navrat;
diff --git a/old/html/utf/autor/multidic2/administration/article.php b/old/html/utf/autor/multidic2/administration/article.php
index 4b34ca8..1840ee9 100644
--- a/old/html/utf/autor/multidic2/administration/article.php
+++ b/old/html/utf/autor/multidic2/administration/article.php
@@ -200,12 +200,12 @@ function print_table_of_article($language = "all", $contrains_source = "all", $c
     $dotaz .= "AND lection = '$contrains_lection'";
 
 
-  $dotaz .= " ORDER BY \"$order\" OFFSET $od LIMIT $limit";
+  $dotaz .= " ORDER BY \"$order\" LIMIT $limit OFFSET $od";
 
   $radky = $spojeni->query($dotaz);
 
   while ($spojeni->next_record()) {
-    $navrat .= get_row_of_table($spojeni->Record);
+    $navrat .= get_row_of_table($spojeni->row);
   }
   $navrat .= get_foot_of_table();
   $navrat .= "</table>";
@@ -219,11 +219,11 @@ function get_article($id) {
   $radky = $spojeni->query($dotaz);
   $spojeni->next_record();
 
-  if ($spojeni->Errno != 0) {
+  if ($spojeni->connection->errno != 0) {
     print_hlasku("Clanek se nepodařilo načíst.");
   }
 
-  return $spojeni->Record;
+  return $spojeni->row;
 }
 
 function delete_article($ID) {
@@ -231,7 +231,7 @@ function delete_article($ID) {
   $spojeni = new DB_Sql();
   $dotaz = "DELETE FROM article WHERE \"IDarticle\" = '$ID'";
   $spojeni->query($dotaz);
-  if ($spojeni->Errno != 0) {
+  if ($spojeni->connection->errno != 0) {
     return false;
   }
   return true;
@@ -247,7 +247,7 @@ function update_article($id, $title, $body, $note, $lection) {
                             lection = '".AddSlashes($lection)."'
                             WHERE \"IDarticle\" = '".AddSlashes($id)."'";
   $spojeni->query($dotaz);
-  if ($spojeni->Errno != 0) {
+  if ($spojeni->connection->errno != 0) {
     print_hlasku("Slovo se nepodařilo upravit.");
   }
   print_hlasku("Slovo změněno.");
@@ -261,14 +261,14 @@ function insert_article($language,$source,$lection,$title,$body,$note,$user){
   $spojeni = new DB_Sql();
   //$NOW = Date("YmdHis");
   
-  $dotaz = "INSERT INTO article (\"language\", 
-                              \"source\",
-                              \"lection\",
-                              \"inserted_by\",
-                              \"title\",
-                              \"body\",
-                              \"note\",
-                              \"article_voice\")
+  $dotaz = "INSERT INTO article (language, 
+                              source,
+                              lection,
+                              inserted_by,
+                              title,
+                              body,
+                              note,
+                              article_voice)
                     VALUES ('$language', 
                             '$source',
                             '$lection',
@@ -278,7 +278,7 @@ function insert_article($language,$source,$lection,$title,$body,$note,$user){
                             '$note',
                             '0')";
   $spojeni->query($dotaz);
-  if ($spojeni->Errno != 0) {
+  if ($spojeni->connection->errno != 0) {
     return false;
   }
   return true;
